Bug 245415 - libattr 2.4.32's syscall numbers are wrong for ARM EABI systems
libattr 2.4.32's syscall numbers are wrong for ARM EABI systems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: attr (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2007-06-22 17:54 EDT by Lennert Buytenhek
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 07:27:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)
Backported ARM EABI system call numbering fix. (579 bytes, patch)
2007-06-22 17:54 EDT, Lennert Buytenhek
no flags Details | Diff

  None (edit)
Description Lennert Buytenhek 2007-06-22 17:54:02 EDT
libattr's syscalls.c contains a set of system call numbers copied from Linux
kernel header files.  On ARM EABI systems, system call numbering differs from
that on non-EABI systems, and the set included in syscalls.c in libattr 2.4.32
does not work on EABI systems.

This problem is fixed in later upstream versions of libattr.  I have extracted
the specific patch for your convenience.  Would you please consider applying
this patch to the Fedora libattr package, or alternatively, rebasing to a newer
upstream libattr version?

Thanks for your time.
Comment 1 Lennert Buytenhek 2007-06-22 17:54:02 EDT
Created attachment 157658 [details]
Backported ARM EABI system call numbering fix.
Comment 2 Zdenek Prikryl 2007-07-20 08:07:51 EDT
Package Change Request
======================
Package Name: attr
Updated Fedora Owners: zprikryl@redhat.com
Comment 3 Warren Togami 2007-07-23 17:17:05 EDT
twoerner, can you confirm this change of ownership?
Comment 4 Thomas Woerner 2007-07-24 07:07:53 EDT
Here is my ACK for the change.
Comment 5 Jens Petersen 2007-07-24 11:04:53 EDT
reassigned
Comment 6 Zdenek Prikryl 2007-07-31 07:27:07 EDT
Updated to new version 2.4.38.

Zdenek

Note You need to log in before you can comment on or make changes to this bug.